Package org.apache.tomcat.jdbc.pool

## Interface Validator

    public interface Validator

Interface to be implemented by custom validator classes.

Author:
  mpassell

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `validate​(java.sql.Connection connection, int validateAction)` Validate a connection and return a boolean to indicate if it's valid.

### Method Detail

#### validate

    boolean validate​(java.sql.Connection connection,
                     int validateAction)

Validate a connection and return a boolean to indicate if it's valid.

Parameters:
  `connection` - the Connection object to test
  `validateAction` - the action used. One of `PooledConnection.VALIDATE_BORROW`, `PooledConnection.VALIDATE_IDLE`, `PooledConnection.VALIDATE_INIT` or `PooledConnection.VALIDATE_RETURN`
Returns:
  true if the connection is valid